Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.spatial
Interface Georectified

All Superinterfaces:
  GridSpatialRepresentation, SpatialRepresentation

    @UML(identifier="MD_Georectified",
         specification=ISO_19115)
    public interface Georectified

extends GridSpatialRepresentation

Grid whose cells are regularly spaced in a geographic (i.e., lat / long) or map coordinate system defined in the Spatial Referencing System (SRS) so that any cell in the grid can be geolocated given its grid coordinate and the grid origin, cell spacing, and orientation indication of whether or not geographic.

Since:
  GeoAPI 2.0

Method Summary
`Point` | `getCenterPoint()` Earth location in the coordinate system defined by the Spatial Reference System and the grid coordinate of the cell halfway between opposite ends of the grid in the spatial dimensions.
`InternationalString` | `getCheckPointDescription()` Description of geographic position points used to test the accuracy of the georeferenced grid data.
`List<? extends Point>` | `getCornerPoints()` Earth location in the coordinate system defined by the Spatial Reference System and the grid coordinate of the cells at opposite ends of grid coverage along two diagonals in the grid spatial dimensions.
`PixelOrientation` | `getPointInPixel()` Point in a pixel corresponding to the Earth location of the pixel.
`InternationalString` | `getTransformationDimensionDescription()` Description of the information about which grid dimensions are the spatial dimensions.
`Collection<? extends InternationalString>` | `getTransformationDimensionMapping()` Information about which grid dimensions are the spatial dimensions.
`boolean` | `isCheckPointAvailable()` Indication of whether or not geographic position points are available to test the accuracy of the georeferenced grid data.

Methods inherited from interface GridSpatialRepresentation
`getAxisDimensionsProperties, getCellGeometry, getNumberOfDimensions, isTransformationParameterAvailable`

Method Detail

### isCheckPointAvailable

    @UML(identifier="checkPointAvailability",
         obligation=MANDATORY,
         specification=ISO_19115)
    boolean isCheckPointAvailable()

  Indication of whether or not geographic position points are available to test the accuracy of the georeferenced grid data.

### getCheckPointDescription

    @UML(identifier="checkPointDescription",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getCheckPointDescription()

  Description of geographic position points used to test the accuracy of the georeferenced grid data.

### getCornerPoints

    @UML(identifier="cornerPoints",
         obligation=MANDATORY,
         specification=ISO_19115)
    List<? extends Point> getCornerPoints()

  Earth location in the coordinate system defined by the Spatial Reference System and the grid coordinate of the cells at opposite ends of grid coverage along two diagonals in the grid spatial dimensions. There are four corner points in a georectified grid; at least two corner points along one diagonal are required.

### getCenterPoint

    @UML(identifier="centerPoint",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Point getCenterPoint()

  Earth location in the coordinate system defined by the Spatial Reference System and the grid coordinate of the cell halfway between opposite ends of the grid in the spatial dimensions.

### getPointInPixel

    @UML(identifier="pointInPixel",
         obligation=MANDATORY,
         specification=ISO_19115)
    PixelOrientation getPointInPixel()

  Point in a pixel corresponding to the Earth location of the pixel.

### getTransformationDimensionDescription

    @UML(identifier="transformationDimensionDescription",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getTransformationDimensionDescription()

  Description of the information about which grid dimensions are the spatial dimensions.

### getTransformationDimensionMapping

    @UML(identifier="transformationDimensionMapping",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends InternationalString> getTransformationDimensionMapping()

  Information about which grid dimensions are the spatial dimensions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.